Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
pseudoTranslate
Pseudo-translates job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/pseudoTranslate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "replacement": "<string>",
  "prefix": "<string>",
  "suffix": "<string>",
  "length": 123,
  "keyHashPrefixLen": 9,
  "substitution": [
    {
      "source": "<string>",
      "target": "<string>"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Body

application/json
replacement
string
Required string length: 1 - 10
prefix
string
suffix
string
length
number<double>
keyHashPrefixLen
integer<int32>
Required range: 0 <= x <= 18
substitution
object[]
Required array length: 1 - 100 elements

Response

No Content